<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.SupplierInvoiceMapper">
	<resultMap id="BaseResultMap" type="com.xunhong.erp.turbo.biz.infrastructure.entity.SupplierInvoiceDO">
		<result property="supplierInvoiceId" column="supplier_invoice_id"/>
		<result property="type" column="type"/>
		<result property="supplierId" column="supplier_id"/>
		<result property="supplierName" column="supplier_name"/>
		<result property="orderSupplierInvoice" column="order_supplier_invoice"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="invoiceImg" column="invoice_img"
				typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
		<result property="registrationTime" column="registration_time"/>
		<result property="createdBy" column="created_by"/>
		<result property="createdByName" column="created_by_name"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

